package pp.battleship.message.client;

import com.jme3.network.serializing.Serializable;

/**
 * Represents a message indicating that an animation has finished on the client side.
 */
@Serializable
public class AnimationFinishedMessage extends ClientMessage {
    public AnimationFinishedMessage() {
        super();
    }

    /**
     * Accepts a visitor to process this message.
     *
     * @param interpreter the visitor to process this message
     * @param from        the connection ID from which the message was received
     */
    @Override
    public void accept(ClientInterpreter interpreter, int from) {
        interpreter.received(this, from);
    }
}
